Bug 439470 - No New Mail Notification Icon on New mails.
No New Mail Notification Icon on New mails.
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
8
i686 Linux
low Severity low
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-28 15:00 EDT by Re Alvarez
Modified: 2008-12-10 10:46 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-10 10:46:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Re Alvarez 2008-03-28 15:00:17 EDT
Description of problem:
after evolution-2.12.3-3.fc8 update, sometimes no icon appears in the
notification area on new mail. Sometimes it works in the same session and
sometimes it just doesnt notify. This mostly happens with exchange 03 accounts,
I havent seent this issue with POP3 or IMAP accounts. Before the update it was
working fine.
Again it happens intermittently.

Version-Release number of selected component (if applicable):
evolution-2.12.3-3.fc8
Comment 1 Milan Crha 2008-03-31 08:18:01 EDT
Thanks for the report. Is there any difference between "no icon appears in the
notification area" and "it just doesn't notify"? I'm not sure what you mean with
that. Maybe it doesn't show icon, but plays a sound?

What was the previous version number where you said it worked fine?
Comment 2 Re Alvarez 2008-03-31 08:23:29 EDT
Sorry I made it confusing, there is no notification whatsoever, no sound no
icon. I dont know what version was it but it was the one that was prior to the
current one which is evolution-2.12.3-3.fc8
Since last 2 days I haven't seen this issue again. Maybe it got fixed in the
consequent updates or something, but I am not sure just yet.
Comment 3 Re Alvarez 2008-03-31 08:29:35 EDT
Alright, its not fixed. I have the same issue going on right now. The POP
account is giving regular notification (sound and icon), but exchange account is
not giving notifications on new mail.
Comment 4 Milan Crha 2008-03-31 09:02:38 EDT
I see two possible reasons why it doesn't want to work:
a) Evolution notify for new mails only for those mails which arrived in interval
larger than 30 seconds
b) New mail's received time should be in time after last notification and it
should not be seen, junk or deleted mail.

So it means, if you receive mail on your POP account, and after 20 seconds you
receive new mail on exchange account, then the second notification will not be
shown. Similarly if received time is before last check, then Evolution will not
inform you about such message arrival.

That's the way how it works. It also explains why it sometimes works and
sometimes not. Does it make sense?
Comment 5 Re Alvarez 2008-03-31 19:35:02 EDT
I understand what you are saying but

1.) It doesnt happen if I don't recieve any emails in my POP account but still
recieve email in exchange. Like I recieve exchangecatoic email 20 mins after
last POP it still doesnt show notification.
2.) I have set my account to check for new email every 4 mins for all accounts.
3.) Even if your argument is 100% valid in this situation, this wasnt the case
with current -1 version. I remember getting emails every minute and getting a
notification for each one of them.

to test i disabled all the accounts except exchange and force-shutdown evolution
but still didnt get notification everytime i got an email in exchange 
Comment 6 Milan Crha 2008-04-01 12:17:19 EDT
Can you check please, whether the folder you've received email to contains any
deleted junk mails? In case you use junk filtering, of course. If so, please go
to  the Junk folder of the exchange account, add column "Location" to the
message list and then uncheck View->Hide Deleted Messages. Are there any deleted
messages?

You said it sometime notifies new messages in that account, so I guess it can be
something related to this. But just another guess.
Comment 7 Re Alvarez 2008-04-03 09:22:48 EDT
To test I setup two systems, one with fedora default install of evolution and
one with the latest version of evolution and the older version got all
notification and sounds as expected on all mails on all accounts (POP and
exchange), while out of 10 exchange emails, the latest version got only one
sound (and no icon). The settings were identical since the settings were
exported from the latest version's settings and imported into older version's
settings.
Mails were sent once every 5 minutes.

So to me this is clear that this issue is only with current version.
Comment 8 Matthew Barnes 2008-07-08 11:39:57 EDT
Has the mail notification improved at all in Fedora 9?
Comment 9 Milan Crha 2008-07-09 05:01:13 EDT
Oh, I'm sorry, I overlooked your last comment. If you've still those two systems
running, can you post here version of those Evolutions, please? So it will be
easier to check for changes between them. I would like to see result of this
command on both of them:
   rpm -q evolution evolution-data-server evolution-exchange

Thanks in advance.
Comment 10 Matthew Barnes 2008-11-10 15:23:44 EST
Setting this to NEEDINFO.  Will close as INSUFFICIENT_DATA in 30 days.
Comment 11 Bug Zapper 2008-11-26 05:17:48 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Matthew Barnes 2008-12-10 10:46:33 EST
Closing as INSUFFICIENT_DATA due to lack of response.

Note You need to log in before you can comment on or make changes to this bug.